Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Shopov <ash@kambanaria.org>2018-02-13 16:19:15 +0300
committerJunio C Hamano <gitster@pobox.com>2018-02-13 21:59:58 +0300
commitfc045fe7d4fa220f19274715c936636fe0516ea3 (patch)
treeecb2c202550b953426e3a522ad71011d7c0c5dac /t/t0002-gitfile.sh
parent5be1f00a9a701532232f57958efab4be8c959a29 (diff)
Mark messages for translations
Small changes in messages to fit the style and typography of rest. Reuse already translated messages if possible. Do not translate messages aimed at developers of git. Fix unit tests depending on the original string. Use `test_i18ngrep` for tests with translatable strings. Change and verify rest of tests via `make GETTEXT_POISON=1 test`. Signed-off-by: Alexander Shopov <ash@kambanaria.org> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t0002-gitfile.sh')
-rwxr-xr-xt/t0002-gitfile.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/t/t0002-gitfile.sh b/t/t0002-gitfile.sh
index 9670e8cbe6..797dcf95b7 100755
--- a/t/t0002-gitfile.sh
+++ b/t/t0002-gitfile.sh
@@ -31,7 +31,7 @@ test_expect_success 'bad setup: invalid .git file format' '
echo "git rev-parse accepted an invalid .git file"
false
fi &&
- if ! grep "Invalid gitfile format" .err
+ if ! test_i18ngrep "invalid gitfile format" .err
then
echo "git rev-parse returned wrong error"
false
@@ -45,7 +45,7 @@ test_expect_success 'bad setup: invalid .git file path' '
echo "git rev-parse accepted an invalid .git file path"
false
fi &&
- if ! grep "Not a git repository" .err
+ if ! test_i18ngrep "not a git repository" .err
then
echo "git rev-parse returned wrong error"
false